org.eclipse.jgit.gitrepo.internal

## Class RepoText

- java.lang.Object
- - org.eclipse.jgit.nls.TranslationBundle
  - - org.eclipse.jgit.gitrepo.internal.RepoText

    public class RepoText
    extends TranslationBundle

Translation bundle for repo command

### Field Summary

Fields
`String` `copyFileFailed`
`String` `errorIncludeFile`
`String` `errorIncludeNotImplemented`
`String` `errorNoDefault`
`String` `errorNoDefaultFilename`
`String` `errorParsingManifestFile`
`String` `errorRemoteUnavailable`
`String` `invalidManifest`
`String` `repoCommitMessage`

### Constructor Summary

Constructors
Constructor and Description
`RepoText()`

### Method Summary

All Methods Static Methods Concrete Methods
`static RepoText` `get()`

### Methods inherited from class org.eclipse.jgit.nls.TranslationBundle

`effectiveLocale, resourceBundle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### copyFileFailed

    public String copyFileFailed

#### errorIncludeFile

    public String errorIncludeFile

#### errorIncludeNotImplemented

    public String errorIncludeNotImplemented

#### errorNoDefault

    public String errorNoDefault

#### errorNoDefaultFilename

    public String errorNoDefaultFilename

#### errorParsingManifestFile

    public String errorParsingManifestFile

#### errorRemoteUnavailable

    public String errorRemoteUnavailable

#### invalidManifest

    public String invalidManifest

#### repoCommitMessage

    public String repoCommitMessage

### Constructor Detail

#### RepoText

    public RepoText()

### Method Detail

#### get

    public static RepoText get()

Returns:
  an instance of this translation bundle